> For the complete documentation index, see [llms.txt](https://docs.solapayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solapayments.com/api/reconciliation-api.md).

# Reconciliation API

### Overview

The **GetReconReport** endpoint returns a list of Sola-charged invoices for a specified Cardknox MID (or multiple MIDs) over a given date range. Each invoice includes fee breakdowns, billing status, and processor details, making it the primary way to reconcile the fees Sola bills against your account activity.

### Endpoints

#### /GetReconReport

Gets a list of Invoices for a specific Cardknox MID with an option to retrieve invoices for multiple MIDs. This report is for GoPlus merchants only and gives invoices for all items that are charged by Sola.

Method: POST

Authentication is required.

#### Request Body (JSON)

| **Parameter**    | **Required** | **Type** | **Description**                                                                                                    |
| ---------------- | ------------ | -------- | ------------------------------------------------------------------------------------------------------------------ |
| FromDate         | Yes          | Date     | The start date to pull invoices for                                                                                |
| ToDate           | Yes          | Date     | The end date to pull invoices for. Can be max 6 months from FromDate if IsMultiMidReport is false, 31 days if true |
| IsMultiMidReport | No           | Boolean  | If true, data will be returned for all mids user has access to. Only works with Cognito+Mid authentication         |

**Sample Request**

```json
{
    "FromDate": "2026-04-15",
    "ToDate": "2026-04-19",
    "IsMultiMidReport": false
}
```

#### Response Body (JSON)

| **Parameter** | **Type**                     | **Description**                                                                                             | **Valid Values** |
| ------------- | ---------------------------- | ----------------------------------------------------------------------------------------------------------- | ---------------- |
| Result        | Char                         | The result of the API call. **S** represents success, **E** represents an error.                            | S, E             |
| RefNum        | String                       | A unique request ID.                                                                                        |                  |
| Error         | String                       | If the Result parameter contains a value of **E**, this parameter will contain any relevant error messages. |                  |
| InvoiceList   | Array containing JSON object | The invoices for the requested billing date range                                                           | See fields below |

| **Invoice Field**    | **Type** | **Description**                                                                                                                           | **Valid Values**                          |
| -------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------- |
| InvoiceId            | String   | The unique id of this invoice                                                                                                             | numeric                                   |
| InvoiceDescription   | String   | The description of the fees being charged on the invoice                                                                                  |                                           |
| SolaMID              | String   | The Sola MID the fee was billed to                                                                                                        | numeric, valid Sola MID                   |
| ProcessorMID         | String   | The Processor MID of the account the fee was billed to                                                                                    | numeric, valid Fiserv or ACHQ MID         |
| DBA                  | String   | The account’s business name                                                                                                               |                                           |
| BillingStatus        | String   | The current status of the invoice                                                                                                         | Completed, Bounced, paid, paid-reconciled |
| BillingDate          | Date     | The date the fees were billed                                                                                                             |                                           |
| TransactionStartDate | DateTime | Only returned on invoices where the description is “Processing Fees”. The start date of the transactions the fees were charged for        |                                           |
| TransactionEndDate   | DateTime | Only returned on invoices where the description is “Processing Fees”. The end date of the transactions the fees were charged for          |                                           |
| Processor            | String   | The processor of the account/SolaMID the invoice is for                                                                                   | Go Plus, ACHQ                             |
| ProcessingFees       | Float    | The amount of the fees charged for transaction processing                                                                                 |                                           |
| OtherFees            | Float    | The amount of fees charged for other services                                                                                             |                                           |
| TotalFees            | Float    | The total amount of the fees charged                                                                                                      |                                           |
| Batches              | String   | Only returned on invoices where the description is “Processing Fees” for accounts billed per batch. The batches the fees were charged for | comma-delimited list of batch numbers     |

**Sample Response**

```json
{
	"refNum": "ra501002009",
	"result": "S",
	"error": "",
	"invoiceList": [
		{
			"invoiceId": "21015",
			"invoiceDescription": "Processing Fees",
			"solaMID": "999000017",
			"processorMID": "855956893512",
			"dba": "Test Go Plus",
			"billingStatus": "Complete",
			"billingDate": "2026-05-27",
			"transactionStartDate": "2026-05-01T21:32:46",
			"transactionEndDate": "2026-05-28T12:08:59",
			"processor": "Go Plus",
			"processingFees": 4.85,
			"otherFees": 0.00,
			"totalFees": 4.85,
			"batches": "37927929,5010404"
		},
        {
			"invoiceId": "279308.0",
			"invoiceDescription": "Processing Fees, Return Fee",
			"solaMID": "36977",
			"processorMID": "2001",
			"dba": "Test Retry, TID 10",
			"billingStatus": "Complete",
			"billingDate": "2026-05-29",
			"processor": "ACHQ",
			"processingFees": 3.0,
			"otherFees": 25.0,
			"totalFees": 28.0,
			"batches": "5005327"
		}
	]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.solapayments.com/api/reconciliation-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
